﻿@using MIMS.Portal.Core.Domains;
@using Microsoft.AspNetCore.Http;
@using MIMS.Portal.Commons.Extensions;

@model List<Comment>
<div class="x_panel">
    <div class="x_title">
        <h2>ثبت دستگاه </h2>
        <ul class="nav navbar-right panel_toolbox">
            <li>
                <a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
            </li>
            <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
            </li>
            <li>
                <a class="close-link"><i class="fa fa-close"></i></a>
            </li>
        </ul>

        <div class="clearfix"></div>
    </div>
    <div class="x_panel">
        <div class="container">
            <table class="table table-striped">
                <tbody>
                    <tr>
                        <form action="/Comment/create" method="post">
                            <td colspan="1">
                                <fieldset>

                                    <div class="row form-group">
                                        <label class="col-md-4 control-label">متن نظر:</label>
                                        <div class="col-md-8 inputGroupContainer">
                                            <div class="input-group"><input id="Body" name="Body" placeholder="متن نظر" class="form-control" required="true" value="" type="text"></div>
                                        </div>
                                    </div>
                               
                                    <input type="hidden" id="MerchantId" name="MerchantId" value=@ViewBag.merchantid>

                                    <div class="row form-group">
                                        <div class="col-md-8 inputGroupContainer">
                                            <button id="btnLogin" type="submit" class="btn ok hvr-shutter-out-horizontal mb-3">ثبت نظر </button>
                                        </div>
                                    </div>
                                </fieldset>
                            </td>


                        </form>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="row">
            <div class="panel panel-default panel-table col-12">
                <div class="panel-heading">
                    <div class="row">
                        <div class="col col-6">
                            <h3 class="panel-title">نظرات </h3>
                        </div>

                    </div>
                </div>
                <div class="panel-body">
                    <table class="table table-striped table-bordered table-list">
                        <thead class="thead-inverse">
                            <tr>
                                <th> تاریخ</th>
                                <th> کاربر</th>
                                <th> متن نظر</th>

                            </tr>
                        </thead>
                        <tbody>
                            @foreach (Comment item in Model)
                            {
                            <tr>
                                <td>@item.SubmitDate.ToPeString()</td>
                                <td>@item.UserSubmitName</td>

                                <td>@item.Body</td>

                            </tr>
                            }

                        </tbody>
                    </table>

                </div>
              
            </div>
        </div>
    </div>
</div>
